Bug 164438 - LTC12403-CMVC482920:I/O errors caused by eeh error injection-drive unavailable
LTC12403-CMVC482920:I/O errors caused by eeh error injection-drive unavailable
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
3.0
powerpc Linux
medium Severity medium
: ---
: ---
Assigned To: Nathan Lynch
Brian Brock
:
Depends On:
Blocks: 168424
  Show dependency treegraph
 
Reported: 2005-07-27 17:34 EDT by Issue Tracker
Modified: 2007-11-30 17:07 EST (History)
5 users (show)

See Also:
Fixed In Version: RHSA-2006-0144
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-15 11:18:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Issue Tracker 2005-07-27 17:34:51 EDT
Escalated to Bugzilla from IssueTracker
Comment 13 Tim Burke 2005-08-18 16:51:13 EDT
Reasigning to Nathan Lynch. Nathan - please review the commentary on
rhkernel-list circa May, 2005. In that thread there were technical objections
that remain to be cleared up.

Subsequent to a discussion with Dustin, placing this on the U7 proposed list.
Comment 14 Nathan Lynch 2005-08-23 22:10:25 EDT
The outstanding concerns from Red Hat development seem to be:

1. "the comments above eeh_check_failure() claim that the
token should be an "address in the form 0xA....".  If that were true,
then eeh_token_to_phys() would have translated it into an I/O region
address (0xE...) and then walked the page tables to determine the
associated physical address (which presumably would have no region
bits set).  This implies that an invalid token was passed or that
the comment was wrong."

2. "the 2.6 implementation of eeh_token_to_phys() does the
virtual-to-physical translation in all cases, not just for EEH
region addresses like the RHEL3 implementation.  So, perhaps the
comment was wrong (and tokens can actually be any kernel virtual
address), and thus we'd need a new version of eeh_token_to_phys()."

3. There seems to be some continued misapprehension that there is some IBM
kernel tree which is relevant to the discussion.  There is not.
Comment 15 Nathan Lynch 2005-08-24 11:37:45 EDT
Argh, I don't think my previous update was marked appropriately to mirror to IT.
 Here goes again:

The outstanding concerns from Red Hat development seem to be:

1. "the comments above eeh_check_failure() claim that the
token should be an "address in the form 0xA....".  If that were true,
then eeh_token_to_phys() would have translated it into an I/O region
address (0xE...) and then walked the page tables to determine the
associated physical address (which presumably would have no region
bits set).  This implies that an invalid token was passed or that
the comment was wrong."

2. "the 2.6 implementation of eeh_token_to_phys() does the
virtual-to-physical translation in all cases, not just for EEH
region addresses like the RHEL3 implementation.  So, perhaps the
comment was wrong (and tokens can actually be any kernel virtual
address), and thus we'd need a new version of eeh_token_to_phys()."

3. There seems to be some continued misapprehension that there is some IBM
kernel tree which is relevant to the discussion.  There is not.

Comment 16 Ernie Petrides 2005-09-13 19:12:08 EDT
Nathan, what's happening with this?  I still have my U7 patch tracking
file "0970.bmaly.ppc64-eeh-check-fail.patch" in unresolved state.
Comment 17 Nathan Lynch 2005-09-13 19:26:55 EDT
I've reproduced the problem, and figured out exactly why we're passing non-token
addresses to eeh_check_region.  Will be providing an alternate but functionally
equivalent patch soon.
Comment 19 Ernie Petrides 2005-09-21 20:45:54 EDT
A fix for this problem has just been committed to the RHEL3 U7
patch pool this evening (in kernel version 2.4.21-37.3.EL).
Comment 24 Red Hat Bugzilla 2006-03-15 11:18:36 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0144.html

Note You need to log in before you can comment on or make changes to this bug.